<?php

if (!defined('IN_PHPBB'))
{
	exit;
}

// Set update info with file structure to update
$update_info = array(
	'version'	=> array('from' => '3.3.11', 'to' => '3.3.14'),
	'files'		=> array(
		'adm/index.php',
		'adm/style/acp_ext_list.html',
		'adm/style/acp_groups.html',
		'adm/style/acp_main.html',
		'adm/style/installer_footer.html',
		'adm/style/overall_footer.html',
		'adm/style/simple_footer.html',
		'assets/javascript/jquery-3.7.1.min.js',
		'common.php',
		'composer.lock',
		'config/default/container/services_console.yml',
		'config/default/container/services_content.yml',
		'config/default/container/services_event.yml',
		'config/default/container/services_ucp.yml',
		'config/default/routing/ucp.yml',
		'includes/acp/acp_bbcodes.php',
		'includes/acp/acp_extensions.php',
		'includes/acp/acp_groups.php',
		'includes/acp/acp_inactive.php',
		'includes/acp/acp_logs.php',
		'includes/acp/acp_main.php',
		'includes/acp/acp_users.php',
		'includes/acp/auth.php',
		'includes/constants.php',
		'includes/functions.php',
		'includes/functions_acp.php',
		'includes/functions_content.php',
		'includes/functions_display.php',
		'includes/functions_jabber.php',
		'includes/functions_messenger.php',
		'includes/functions_module.php',
		'includes/functions_privmsgs.php',
		'includes/mcp/mcp_forum.php',
		'includes/mcp/mcp_post.php',
		'includes/mcp/mcp_queue.php',
		'includes/mcp/mcp_reports.php',
		'includes/mcp/mcp_topic.php',
		'includes/ucp/ucp_prefs.php',
		'includes/ucp/ucp_profile.php',
		'includes/ucp/ucp_register.php',
		'includes/ucp/ucp_resend.php',
		'includes/utf/utf_tools.php',
		'language/de/README.md',
		'language/de/acp/extensions.php',
		'language/de/acp/permissions_phpbb.php',
		'language/de/acp/posting.php',
		'language/de/cli.php',
		'language/de/common.php',
		'language/de/help/faq.php',
		'language/de/viewtopic.php',
		'language/de_x_sie/README.md',
		'language/de_x_sie/acp/extensions.php',
		'language/de_x_sie/acp/permissions_phpbb.php',
		'language/de_x_sie/acp/posting.php',
		'language/de_x_sie/cli.php',
		'language/de_x_sie/common.php',
		'language/de_x_sie/help/faq.php',
		'language/de_x_sie/viewtopic.php',
		'language/en/acp/extensions.php',
		'language/en/acp/permissions_phpbb.php',
		'language/en/acp/posting.php',
		'language/en/cli.php',
		'language/en/common.php',
		'language/en/help/faq.php',
		'language/en/mcp.php',
		'language/en/viewtopic.php',
		'memberlist.php',
		'phpbb/.htaccess',
		'phpbb/auth/auth.php',
		'phpbb/avatar/driver/gravatar.php',
		'phpbb/cache/driver/file.php',
		'phpbb/cache/driver/redis.php',
		'phpbb/captcha/plugins/recaptcha_v3.php',
		'phpbb/console/command/fixup/update_hashes.php',
		'phpbb/console/command/reparser/reparse.php',
		'phpbb/console/command/user/add.php',
		'phpbb/console/command/user/delete_id.php',
		'phpbb/cron/event/cron_runner_listener.php',
		'phpbb/cron/task/core/update_hashes.php',
		'phpbb/db/driver/mssql_odbc.php',
		'phpbb/db/driver/mssqlnative.php',
		'phpbb/db/driver/mysqli.php',
		'phpbb/db/driver/postgres.php',
		'phpbb/db/driver/sqlite3.php',
		'phpbb/db/migration/data/v33x/add_resend_activation_expiration.php',
		'phpbb/db/migration/data/v33x/add_user_last_active.php',
		'phpbb/db/migration/data/v33x/jquery_update_v3.php',
		'phpbb/db/migration/data/v33x/profilefield_youtube_update.php',
		'phpbb/db/migration/data/v33x/profilefields_update.php',
		'phpbb/db/migration/data/v33x/v3312.php',
		'phpbb/db/migration/data/v33x/v3312rc1.php',
		'phpbb/db/migration/data/v33x/v3313.php',
		'phpbb/db/migration/data/v33x/v3313rc1.php',
		'phpbb/db/migration/data/v33x/v3314.php',
		'phpbb/db/migration/data/v33x/v3314rc1.php',
		'phpbb/db/migration/tool/permission.php',
		'phpbb/db/tools/factory.php',
		'phpbb/db/tools/sqlite3.php',
		'phpbb/event/kernel_exception_subscriber.php',
		'phpbb/extension/manager.php',
		'phpbb/file_downloader.php',
		'phpbb/install/controller/helper.php',
		'phpbb/install/module/install_finish/task/install_extensions.php',
		'phpbb/install/module/update_database/task/update_extensions.php',
		'phpbb/lock/posting.php',
		'phpbb/notification/manager.php',
		'phpbb/path_helper.php',
		'phpbb/search/fulltext_native.php',
		'phpbb/session.php',
		'phpbb/template/twig/environment.php',
		'phpbb/textreparser/base.php',
		'phpbb/textreparser/reparser_interface.php',
		'phpbb/ucp/controller/delete_cookies.php',
		'phpbb/ucp/controller/reset_password.php',
		'phpbb/user.php',
		'posting.php',
		'search.php',
		'styles/prosilver/style.cfg',
		'styles/prosilver/template/bbcode.html',
		'styles/prosilver/template/forum_fn.js',
		'styles/prosilver/template/index_body.html',
		'styles/prosilver/template/login_body.html',
		'styles/prosilver/template/mcp_post.html',
		'styles/prosilver/template/mcp_topic.html',
		'styles/prosilver/template/memberlist_view.html',
		'styles/prosilver/template/notification_dropdown.html',
		'styles/prosilver/template/overall_footer.html',
		'styles/prosilver/template/posting_pm_header.html',
		'styles/prosilver/template/simple_footer.html',
		'styles/prosilver/template/ucp_footer.html',
		'styles/prosilver/template/ucp_groups_manage.html',
		'styles/prosilver/template/ucp_header.html',
		'styles/prosilver/template/ucp_login_link.html',
		'styles/prosilver/template/ucp_notifications.html',
		'styles/prosilver/template/ucp_pm_viewmessage.html',
		'styles/prosilver/template/ucp_prefs_post.html',
		'styles/prosilver/template/ucp_register.html',
		'styles/prosilver/template/viewforum_body.html',
		'styles/prosilver/template/viewtopic_body.html',
		'styles/prosilver/template/viewtopic_print.html',
		'styles/prosilver/theme/common.css',
		'styles/prosilver/theme/content.css',
		'styles/prosilver/theme/responsive.css',
		'styles/prosilver/theme/stylesheet.css',
		'ucp.php',
		'viewforum.php',
		'viewonline.php',
		'viewtopic.php',
		'web.config',
	),
	'binary'		=> array(),
	'deleted'		=> array(
		'assets/javascript/jquery-3.6.0.min.js',
	),
);
